/* Copyright © https://evidencesystem.ca all rights reserved 2020-2026 */

*,
*::before,
*::after {
box-sizing:border-box;
}
.clickSign:not(:disabled){
border:1px solid var(--varInputFormControlBorder);
padding:0;
margin:0;
width:100vw;
height:40vw;
max-width:300px;
max-height:120px;
}
.clickSign:hover{
border:1px solid var(--varInputFormControlBorderHover) !important;
cursor:pointer;
}
.textSIGN{
font-size:1rem;
font-weight:600;
color:#0063c3;
padding:12px 0;
margin:0
}
@media screen and (max-width:700px) {
.textSIGN{
font-size:0.7rem;
line-height:.5rem;
}
}
@media screen and (max-width:495px) {
.textSIGN{
font-size:0.1rem;
color:transparent;
}
}
.textSIGNerror{
font-size:1em;
font-weight:600;
color:var(--varErrmessText);
}
.errmessSigna{
position:relative;
display:none;
font-size:1.1em;
font-weight:600;
color:var(--varErrmessText);
}
.modal_signa{
max-width:930px;
width:fit-content;
height:fit-content;
margin:0 auto !important;
padding:0px !important;
background-color:#fffef3;
}
.signature-pad_3 {
position:relative;
display:-webkit-box;
display:-ms-flexbox;
display:flex;
-webkit-box-orient:vertical;
-webkit-box-direction:normal;
-ms-flex-direction:column;
flex-direction:column;
font-size:10px;
border:1px solid #cccccc;
background-color:#fff;
border-radius:4px;
width:calc(96vw - 60px) ;
height:min(calc(96vw / 2  ), 430px);
max-width:920px;
max-height:430px;
margin:5px auto;
padding:1px;
}
.signature-pad {
position:relative;
display:-webkit-box;
display:-ms-flexbox;
display:flex;
-webkit-box-orient:vertical;
-webkit-box-direction:normal;
-ms-flex-direction:column;
flex-direction:column;
font-size:10px;
border:1px solid #cccccc;
background-color:#fff;
border-radius:4px;
width:calc(96vw - 60px) ;
height:min(calc(96vw / 2  ), 430px);
max-width:920px;
max-height:430px;
margin:5px auto;
padding:1px;
}
.signature-pad::before, .signature-pad_3::before,
.signature-pad::after, .signature-pad_3::after {
position:absolute;
z-index:-1;
content:"";
background:transparent;
box-shadow:0 8px 12px rgba(0, 0, 0, 0.4);
}
.signature-pad::before, .signature-pad_3::before {
left:10px;
-webkit-transform:skew(-3deg) rotate(-3deg);
transform:skew(-3deg) rotate(-3deg);
}
.signature-pad::after, .signature-pad_3::after {
right:10px;
-webkit-transform:skew(3deg) rotate(3deg);
transform:skew(3deg) rotate(3deg);
}
.signature-pad--body {
position:relative;
-webkit-box-flex:1;
-ms-flex:1;
flex:1;
border:1px solid #f4f4f4;
}
.signature-pad--body
canvas {
position:absolute;
left:0;
top:0;
width:100%;
height:100%;
border-radius:4px;
box-shadow:0 0 5px rgba(0, 0, 0, 0.02) inset;
}
canvas:focus {
border:1px solid #66afe9;
-webkit-box-shadow:0px 1px 2px 1px rgba(102,175,233,0.52);
box-shadow:0px 1px 2px 1px rgba(102,175,233,0.52);
}
.signature-pad--footer {
color:#4c5c6c;
text-align:center;
font-size:1.2em;
margin-top:0px;
font-weight:200;
background-color:#d6d7e0;
}
.signature-pad--actions {
display:-webkit-box;
display:-ms-flexbox;
display:flex;
-webkit-box-pack:justify;
-ms-flex-pack:justify;
justify-content:space-between;
margin:5px 5px 5px 5px;
}
